//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace dabirmodel
{
    using System;
    using System.Collections.Generic;
    
    public partial class tbl_fergir
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public tbl_fergir()
        {
            this.tbl_letter_fer = new HashSet<tbl_letter>();
            this.tbl_letter_gir = new HashSet<tbl_letter>();
        }
    
        public decimal id_fergir { get; set; }
        public string nam_fergir { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<tbl_letter> tbl_letter_fer { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<tbl_letter> tbl_letter_gir { get; set; }
    }
}
